package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.ChuanyunService;
import com.galaxis.manatee.task.ChuanyunHumanResourceScheduledTask;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 提供手工触发更新氚云数据的接口
 * @author zcj
 * @version 0.1
 * @date 2020/6/7 10:26 上午
 */
@RestController
public class GetController {

    private final ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask;
    private final ChuanyunService chuanyunService;

    public GetController(ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask, ChuanyunService chuanyunService) {
        this.chuanyunHumanResourceScheduledTask = chuanyunHumanResourceScheduledTask;
        this.chuanyunService = chuanyunService;
    }

    /**
     * 手动更新chuanyunPayRoll
     */
    @Async
    @GetMapping("/test/getChuanyunPayroll")
    public void getChuanyunPayroll(){
        chuanyunHumanResourceScheduledTask.getPayrollManually();
    }

    /**
     * 手动更新日志
     */
    @Async
    @GetMapping("/test/getUpdateLog")
    public void getUpdateLog() {
        chuanyunHumanResourceScheduledTask.getUpdateLog();
    }

    /**
     * 手动更新项目组成员
     */
    @Async
    @GetMapping("/test/getProjectMember")
    public void getProjectMember() {
        chuanyunService.updateProjectMember();
    }
}
